Mailinglist Archive: opensuse-updates (161 mails)

< Previous Next >
openSUSE-SU-2019:0189-1: moderate: Security update for docker
openSUSE Security Update: Security update for docker
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0189-1
Rating: moderate
References: #1001161 #1112980 #1115464 #1118897 #1118898
#1118899 #1118990 #1121412
Cross-References: CVE-2018-16873 CVE-2018-16874 CVE-2018-16875

Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves three vulnerabilities and has 5 fixes
is now available.

Description:

This update for containerd, docker, docker-runc and
golang-github-docker-libnetwork fixes the following issues:

Security issues fixed for containerd, docker, docker-runc and
golang-github-docker-libnetwork:

- CVE-2018-16873: cmd/go: remote command execution during "go get -u"
(bsc#1118897)
- CVE-2018-16874: cmd/go: directory traversal in "go get" via curly braces
in import paths (bsc#1118898)
- CVE-2018-16875: crypto/x509: CPU denial of service (bsc#1118899)

Non-security issues fixed for docker:

- Disable leap based builds for kubic flavor (bsc#1121412)
- Allow users to explicitly specify the NIS domainname of a container
(bsc#1001161)
- Update docker.service to match upstream and avoid rlimit problems
(bsc#1112980)
- Allow docker images larger then 23GB (bsc#1118990)
- Docker version update to version 18.09.0-ce (bsc#1115464)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-189=1



Package List:

- openSUSE Leap 15.0 (noarch):

containerd-test-1.1.2-lp150.4.6.1
docker-bash-completion-18.09.0_ce-lp150.5.9.1
docker-runc-test-1.0.0rc5+gitr3562_69663f0bd4b6-lp150.5.6.1
docker-zsh-completion-18.09.0_ce-lp150.5.9.1

- openSUSE Leap 15.0 (x86_64):

containerd-1.1.2-lp150.4.6.1
containerd-ctr-1.1.2-lp150.4.6.1
docker-18.09.0_ce-lp150.5.9.1
docker-debuginfo-18.09.0_ce-lp150.5.9.1
docker-debugsource-18.09.0_ce-lp150.5.9.1
docker-libnetwork-0.7.0.1+gitr2704_6da50d197830-lp150.3.6.1
docker-libnetwork-debuginfo-0.7.0.1+gitr2704_6da50d197830-lp150.3.6.1
docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-lp150.5.6.1
docker-runc-debuginfo-1.0.0rc5+gitr3562_69663f0bd4b6-lp150.5.6.1
docker-test-18.09.0_ce-lp150.5.9.1
docker-test-debuginfo-18.09.0_ce-lp150.5.9.1
golang-github-docker-libnetwork-0.7.0.1+gitr2704_6da50d197830-lp150.3.6.1


References:

https://www.suse.com/security/cve/CVE-2018-16873.html
https://www.suse.com/security/cve/CVE-2018-16874.html
https://www.suse.com/security/cve/CVE-2018-16875.html
https://bugzilla.suse.com/1001161
https://bugzilla.suse.com/1112980
https://bugzilla.suse.com/1115464
https://bugzilla.suse.com/1118897
https://bugzilla.suse.com/1118898
https://bugzilla.suse.com/1118899
https://bugzilla.suse.com/1118990
https://bugzilla.suse.com/1121412


< Previous Next >
This Thread
  • No further messages